package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * 机型机号导入视图对象 als_aircraft_t
 *
 * @author wgk
 * @date 2024-07-18
 */

@Data
@NoArgsConstructor
public class AircraftImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 机型Id
     */
    @ExcelProperty(value = "机型Id")
    private String parentId;

    /**
     * 机型/机号
     */
    @ExcelProperty(value = "机型/机号")
    private String name;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
